Subject: bug#43141: closed (Re: [bug#43141] [PATCH 1/1] doc: Add "Getting Started" section.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 03 Sep 2020 21:30:03 +0000

Your bug report

#43141: [PATCH 0/1] "Getting Started" section for the manual

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43141: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43141
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#43141] [PATCH 1/1] doc: Add "Getting Started" section.
From: Ludovic Courtès <[email-masked]>
To: Mathieu Othacehe <[email-masked]>
Cc: [email-masked]
Date: Thu, 03 Sep 2020 23:29:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Mathieu Othacehe <[email-masked]> skribis:

>> +If you installed Guix System, one of the first things you'll want to do
>> +is to upgrade your system.  Once you've run @command{guix pull} to get
>> +the latest Guix, you upgrade the system like this:
>                         ^
>                         can or may ?

Oops, fixed.

>> +The rest of this manual provides a reference for all things Guix.  Here
>                                                                    ^
>                                                                    provides?

Unless I’m mistaken, “all things Guix” is a colloquial phrase meaning
“all the things related to Guix”.

Pushed as 6a1788e13a3cda09b2a46d3bd909d71297f0b64e.

Thanks for taking a look!

Ludo’.

Subject: [PATCH 0/1] "Getting Started" section for the manual
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Mon, 31 Aug 2020 22:47:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

Earlier today, a colleague of mine said they were giving Guix
“a second chance” after an unsatisfying first attempt.  They had
successfully installed it, asked me about “that locale message
from ‘guile’” and what’s going on with PATH and all, and told me
they’d looked for “getting started” kind of material and didn’t
find any.

Indeed, a search for “guix getting started” in popular search engines
yields nothing really useful.  (I know we have getting-started videos
on the front page, but for some reason they must not be that easy to
find?)

Anyway, it bothered me that the first-time user experience could
be this bad, so I wrote this section for the manual.  It’s designed
to take at most 5mn to read and to have prominent boxes with commands
to paste in a terminal.  Perhaps it’s still even too long.

What do you think, comrades?

Ludo’.

Ludovic Courtès (1):
  doc: Add "Getting Started" section.

 doc/guix.texi | 214 +++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 213 insertions(+), 1 deletion(-)

-- 
2.28.0